DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementFeatureRegistryFeatureDescription

Get the feature description of a registered measurement feature

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementFeatureRegistryFeatureDescription ( featureID, description, resources )

## FUNCTION

This function obtains the feature description information of the measurement feature specified by `featureID`.

## ARGUMENTS

Data type | Name | Description
`dip_int` | `featureID` | Measurement feature ID
`dip_FeatureDescription *` | `description` | pointer to a dip_FeatureDescription structure containing descriptive information of the measurement feature. This data can be accessed with `MeasurementFeatureDescription`
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`Measure`, `MeasurementFeatureRegister`, `MeasurementFeatureRegistryList`, `MeasurementFeatureRegistryGet`, `MeasurementFeatureRegistryFeatureNeedsIntensityImage`, `MeasurementFeatureValid`, `MeasurementFeatureDescription`, `MeasurementObjectData`, `MeasurementObjectValue`